System requirements for the Application Server and ETL Engine

This topic provides information about hardware and operating system requirements for the Application Server and ETL Engine.

Hardware requirements

Component

CPU

RAM

Disk

Database Server

4 cores

8 GB

SCSI or external storage are recommended.

Application Server

4 cores

16 GB

16 GB + 120 GB for the repository. SCSI storage is recommended.

ETL Engine

4 cores

8 GB

8 GB + 50 GB

For Linux systems, the installation directory of each product component must be on a standard Linux filesystem such as ext3 or a Global File System (GFS) for high availability deployments (Active/Passive servers). Installation on a CIFS share mounted as a filesystem is not supported. You can use CIFS share only for the shared repository.

Supported operating systems

Computers or virtual machines that host the Application Server and ETL Engine components must be running one of the following supported platforms. For the Application Server and ETL Engine, only x86_64 architecture is supported for the operating systems.

Operating system

Version

Required libraries

Red Hat Enterprise Linux

6.7 to 6.10

perl-5.10.1, libXtst, open-sans-fonts or liberation-sans-fonts, fontconfig
7.3 to 7.6perl-5.16.3, libXtst, liberation-sans-fonts, libXrender, fontconfig

Oracle Linux

6.7 to 6.10

perl-5.10.1, libXtst, dejavu-sans-fonts.noarch
7.3 to 7.6perl-5.16.3, libXtst, liberation-sans-fonts

CentOS

6.7 to 6.10

perl-5.10.1, libXtst, open-sans-fonts.noarch
7.3 to 7.6perl-5.16.3, libXtst, liberation-sans-fonts

SUSE Linux Enterprise Server

11 SP3 to 11 SP4

perl-5.10.0, perl-libwww-perl
12 SP2 to 12 SP4perl-libwww-perl
Was this page helpful? Yes No Submitting... Thank you

Comments

  1. Sujay Sinha

    Please remove open-sans-fonts.noarch for Oracle Linux 6.7 as this lib is not available for 6.7 Instead add dejavu-sans-fonts.noarch library. This has been tested on customer environment.

    Thanks, Sujay

    Apr 26, 2019 04:10
  2. Jean-do Sifantus

    The "fontconfig" package is also required on REL for the TSCO console charts to work.

    Feb 28, 2020 11:06